...
 
Commits (12)
# #
# $Id: ParamParser.pm 1412 2015-02-20 07:40:02Z carrere $ # $Id: ParamParser.pm 1589 2017-11-23 13:54:50Z llegrand $
# #
package ParamParser; package ParamParser;
...@@ -308,7 +308,7 @@ use constant AUTHORIZED_CHARACTERS_UTF8 => '[\P{ASCII}>/0-9a-zA-Z:_.@+\#\-\s=,\? ...@@ -308,7 +308,7 @@ use constant AUTHORIZED_CHARACTERS_UTF8 => '[\P{ASCII}>/0-9a-zA-Z:_.@+\#\-\s=,\?
BEGIN BEGIN
{ {
our $VERSION = do {my @r = (q$Rev: 1412 $ =~ /\d+/g); $r[0]}; our $VERSION = do {my @r = (q$Rev: 1589 $ =~ /\d+/g); $r[0]};
} }
=head2 function New =head2 function New
...@@ -1656,9 +1656,9 @@ sub __SecurityControl ...@@ -1656,9 +1656,9 @@ sub __SecurityControl
print print
"<html xmlns=\"http://www.w3.org/1999/xhtml\" xml:lang=\"en\" lang=\"en\">\n<head></head><body><h3>"; "<html xmlns=\"http://www.w3.org/1999/xhtml\" xml:lang=\"en\" lang=\"en\">\n<head></head><body><h3>";
print print
"ERROR $error : The request is not processed due to insecure character in<br>key=$item<br>value=$val<br>allowed characters are $secure_char</body></html>"; "ERROR $error : The request is not processed due to insecure character in<br>key=$item<br>allowed characters are $secure_char</body></html>";
} }
&Carp::croak("SECURITY ISSUE: Fatal error: the parameter >$item< is not secure enough (value=$val)\n"); &Carp::croak("SECURITY ISSUE: Fatal error: the parameter >$item< is not secure enough\n");
} }
} }
} }
...@@ -2121,6 +2121,11 @@ sub __FromCGIPM ...@@ -2121,6 +2121,11 @@ sub __FromCGIPM
{ {
my ($self, $cgi) = @_; my ($self, $cgi) = @_;
#SC: Pour eviter un warning qui pollue les logs apache lié a CGI.pm
#CGI::param called in list context from package $package line $line, this can lead to vulnerabilities. "See the warning in "Fetching the value or values of a single named parameter"';}
$CGI::LIST_CONTEXT_WARN = 0 ;
if (!defined $cgi or $cgi eq '') if (!defined $cgi or $cgi eq '')
{ {
$cgi = new CGI; $cgi = new CGI;
...@@ -2156,9 +2161,6 @@ sub __FromCGIPM ...@@ -2156,9 +2161,6 @@ sub __FromCGIPM
} }
else else
{ {
#SC: Pour eviter un warning qui pollue les logs apache lié a CGI.pm
#CGI::param called in list context from package $package line $line, this can lead to vulnerabilities. "See the warning in "Fetching the value or values of a single named parameter"';}
$CGI::LIST_CONTEXT_WARN = 0 ;
@a_value = $cgi->param($key); @a_value = $cgi->param($key);
} }
} }
......
This diff is collapsed.
...@@ -79,10 +79,11 @@ Ext ...@@ -79,10 +79,11 @@ Ext
var menuDiv = document.createElement("div"); var menuDiv = document.createElement("div");
var msaDiv = document.createElement("div"); var msaDiv = document.createElement("div");
var treeDiv = document.createElement("div"); var treeDiv = document.createElement("div");
treeDiv.className = "treeDiv"; treeDiv.className = "treeDiv";
treeDiv.innerHTML += "<br /><br />Tree computed with FastTree. Right-click on the tree to display options.<br />"; treeDiv.innerHTML += "Tree computed with FastTree. Right-click on the tree to display options.<br />";
treeDiv.innerHTML += "<a href='"+urlTree+"'target=_blank>Newick file</a><br />"; treeDiv.innerHTML += "<a href='"+urlTree+"'target=_blank>Newick file</a><br />";
yourDiv.appendChild(menuDiv); yourDiv.appendChild(menuDiv);
......
...@@ -38,5 +38,6 @@ ...@@ -38,5 +38,6 @@
padding: 10px; padding: 10px;
height: 800px; height: 800px;
width: 100%; width: 100%;
margin: 20px 5px 5px 5px;
} }